Get a Team
GET
https://api.vercel.com/v2/teams/{teamId}Get information for the Team specified by the
teamId parameter.https://api.vercel.com/v2/teams/{teamId}
const response = await fetch('https://api.vercel.com/v2/teams/teamId?slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "apiKeysInvalidatedAt": "123", "appTokensInvalidatedAt": "123", "avatar": "6eb07268bcfadd309905ffb1579354084c24655c", "billing": { "plan": "enterprise" }, "connect": { "enabled": "false" }, "createdAt": "1630748523395", "creatorId": "R6efeCJQ2HKXywuasPDc0fOWB", "defaultContinuousUsageKind": "metered", "defaultDeploymentProtection": { "passwordProtection": { "deploymentType": "string" }, "ssoProtection": { "deploymentType": "string" } }, "defaultExpirationSettings": { "deploymentsToKeep": "123", "expirationDays": "123", "expirationDaysCanceled": "123", "expirationDaysErrored": "123", "expirationDaysProduction": "123" }, "defaultPassport": { "connectorId": "example_id", "deploymentType": "all" }, "defaultProjectJobs": { "flag-definitions-present": { "targets": [] }, "lint": { "targets": [] }, "mfe-config-present": { "targets": [] }, "typecheck": { "targets": [] } }, "defaultRoles": { "teamPermissions": [], "teamRoles": [] }, "deploymentPolicy": { "deploymentSources": [ { "enabled": "false", "environments": [ { "target": "preview", "type": "system" } ], "sources": [] } ], "gitSources": [ { "enabled": "false", "environments": [ { "target": "preview", "type": "system" } ], "sources": [ { "org": "string", "provider": "bitbucket", "repo": "string" } ] } ] }, "deploymentStorageRollout": { "cohort": "already_metered", "meteredAt": "123", "meterReason": "low_scheduled", "retentionAppliedAt": "123", "retentionOptOutAt": "123" }, "description": "Our mission is to make cloud computing accessible to everyone.", "disableHardAutoBlocks": "123", "disableRepositoryDispatchEvents": "false", "disjunctiveProductionSecretPolicy": "default", "dpAccessRequestsMode": "all", "emailDomain": "example.com", "enablePreviewFeedback": "default", "enableProductionFeedback": "default", "hideIpAddresses": "false", "hideIpAddressesInLogDrains": "false", "id": "team_nllPyCtREAqxxdyFKbbMDlxd", "integrationTokensInvalidatedAt": "123", "inviteCode": "hasihf9e89", "ipBuckets": [ { "bucket": "string", "default": "false", "supportUntil": "123" } ], "limited": "false", "membership": { "accessRequestedAt": "123", "confirmed": "true", "created": "123", "createdAt": "123", "entitlements": [ { "entitlement": "string" } ], "isOrgBackingTeamMembership": "false", "joinedFrom": { "commitId": "example_id", "dsyncConnectedAt": "123", "dsyncUserId": "example_id", "gitUserId": "example_id", "gitUserLogin": "string", "idpUserId": "example_id", "origin": "account-update", "repoId": "example_id", "repoPath": "string", "ssoConnectedAt": "123", "ssoUserId": "example_id" }, "organizationId": "example_id", "role": "BILLING", "teamId": "example_id", "teamPermissions": [], "teamRoles": [], "uid": "example_id" }, "name": "My Team", "nsnbConfig": { "preference": "auto-approval" }, "orgRootTeamId": "team_nllPyCtREAqxxdyFKbbMDlxd", "parentId": "org_nllPyCtREAqxxdyFKbbMDlxd", "personalAccessTokensInvalidatedAt": "123", "platform": "true", "previewDeploymentSuffix": "example.dev", "remoteCaching": { "enabled": "false" }, "requireVerifiedCommits": "false", "resourceConfig": { "blobStores": "123", "buildEntitlements": { "enhancedBuilds": "false" }, "buildMachine": { "default": "basic" }, "concurrentBuilds": "123", "customEnvironmentsPerProject": "123", "edgeConfigs": "123", "edgeConfigSize": "123", "elasticConcurrencyEnabled": "false", "kvDatabases": "123", "postgresDatabases": "123", "serverlessFunctionMaxMemorySize": "123" }, "saml": { "connection": { "connectedAt": "1611796915677", "lastReceivedWebhookEvent": "1611796915677", "lastSyncedAt": "1611796915677", "state": "active", "syncState": "ACTIVE", "type": "OktaSAML", "status": "string" }, "defaultRedirectUri": "v0.app", "directory": { "connectedAt": "1611796915677", "lastReceivedWebhookEvent": "1611796915677", "lastSyncedAt": "1611796915677", "state": "active", "syncState": "ACTIVE", "type": "OktaSAML" }, "enforced": "false", "roles": "value" }, "sensitiveEnvironmentVariablePolicy": "default", "slug": "my-team", "stagingPrefix": "string", "strictConnectors": { "enabled": "false", "updatedAt": "123" }, "strictDeploymentProtectionSettings": { "enabled": "false", "updatedAt": "123" }, "strictPasswordProtectionSettings": { "enabled": "false", "updatedAt": "123" }, "strictShareableLinks": { "enabled": "false", "updatedAt": "123" }, "updatedAt": "1611796915677"}AuthorizationbearerToken
Default authentication mechanism
200The requested team
Timestamp (ms) after which API keys created at or before this time are considered invalid for this team.
Timestamp (ms) after which Vercel App tokens created at or before this time are considered invalid for this team.
Default continuous-usage billing kind for projects under this team. Absent means projects stay unmetered.
Default deployment protection for this team null indicates protection is disabled
Default job configuration applied to new projects created in this team.
Composable deployment-time policy for the team. Used as the default for every project on the team, with optional per-project overrides on
project.deploymentPolicy.Pro deployment-storage pricing rollout cohort and milestones. Absent when the team has not been placed in a rollout cohort yet.
Default for projects in the team. When
true, projects in this team will not emit GitHub repository-dispatch events on deployment events unless the project explicitly overrides this setting via project.gitProviderOptions.disableRepositoryDispatchEvents.Require production secrets to use a different value than preview or development.
Hostname that'll be matched with emails on sign-up to automatically join the Team.
Indicates if IP addresses should be accessible in observability (o11y) tooling
Indicates if IP addresses should be accessible in log drains
Timestamp (ms) after which integration tokens created at or before this time are considered invalid for this team.
Property indicating that this Team data contains full information. Limited Team data has
limited: true.Best-effort ID of the organization’s root billing team. When present, compare
orgRootTeamId === id to identify the root team. It may be omitted even when parentId is set if organization resolution fails or the referenced organization is missing. Always omitted for non-organization teams.The organizationId for teams that belong to an organization (set on both the organization's root team and its child teams).
Timestamp (ms) after which personal access tokens created at or before this time are considered invalid for this team.
When enabled, all projects in the team require commits to be signed and verified by the git provider before deployments will be created. Projects may override this via
project.gitProviderOptions.requireVerifiedCommits (gated by Project:Update).When "Single Sign-On (SAML)" is configured, this object contains information regarding the configuration of the Identity Provider (IdP).
When enabled, creating and managing connectors requires Owner role or the ConnectorManager permission.
When enabled, deployment protection settings require stricter permissions (owner-only).
When enabled, adding, changing, or removing project password protection requires Owner role.
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
Not authorized to access the team.
404Team was not found.
410Error